/*
 * Number Fields
*/
.field-number .jet-form-col__end {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: flex-start;
}

.field-number .jet-form-col__end .increase,
.field-number .jet-form-col__end .decrease {
    color: var(--e-global-color-text);
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    border: 1px solid #bcbcbc;
    padding: 0 !important;
    font-size: 16px;
}

.field-number .jet-form-col__end .increase:hover,
.field-number .jet-form-col__end .decrease:hover {
    border-color: var(--e-global-color-primary);
    background-color: var(--e-global-color-accent);
    color: #fff;
}

.field-number .jet-form-col__end .increase {
    border-radius: 0 6px 6px 0;
    border-width: 1px 1px 1px 0;
}
.field-number .jet-form-col__end .decrease {
    border-radius: 6px 0 0 6px;
    border-width: 1px 0 1px 1px;
}

/*
 * Radio IOS Toggle
*/
.ios-toggle {
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    align-items: center;
}
.ios-toggle input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 0;
    height: 0;
    position: absolute;
}
.ios-toggle .toggle-slider {
    width: 50px;
    height: 30px; 
    background-color: #ccc;
    border-radius: 999px; 
    position: relative;
    cursor: pointer;
    margin: 0 8px;
}
.ios-toggle input[type="checkbox"]:checked + .toggle-slider {
    background-color: var(--e-global-color-accent);
}
.ios-toggle .toggle-slider::before {
    content: "";
    position: absolute;
    width: 25px;
    height: 25px;
    background-color: white;
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
    transition: 0.3s;
    left: 3px;
}
.ios-toggle input[type="checkbox"]:checked + .toggle-slider::before {
    left: calc(100% - 28px);
}

/*
 * Price List
*/
.dc_priceResult {
    display: block;
    width: 100%;
    border: 1px solid rgba(0,0,0,0.4);
    padding: 0;
    border-radius: 8px;
    overflow: hidden;
    margin-bottom: 20px;
    min-height: 100px;
    position: relative;
}

.dc_price_heading {
    background-color: #333;
    color: #fff;
    text-align: center;
    font-size: 18px;
    line-height: 1.3em;
    font-weight: bold;
    padding: 15px 10px;
}

.dc_priceResult ul {
    list-style: none;
    padding: 10px 20px;
    margin: 0;
}

.dc_priceResult .dc_price_item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    border-top: 1px solid rgba(0,0,0,0.2);
    padding: 10px 0;
    margin: 0;
}
.dc_priceResult .dc_price_item:first-child {
    border-top: none;
}

.dc_priceResult .dc_price_item_label,
.dc_priceResult .dc_price_item_price {
    font-size: 14px;
    font-weight: normal;
    line-height: 1.3em;
}

.dc_priceResult .dc_price_item_label {
    font-weight: bold;
}


.dc_priceResult .dc_price_total  {
    padding-top: 20px;
    border-top: 2px solid rgba(253,143,20,0.6);
}
.dc_priceResult .dc_price_total .dc_price_item_label,
.dc_priceResult .dc_price_total .dc_price_item_price {
    color: #000;
    font-size: 16px;
    font-weight: bold;
}

.dc_priceResults_loader {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 2;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loader {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: inline-block;
  position: relative;
  border: 3px solid;
  border-color: #333 #333 transparent;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}
.loader::after {
  content: '';  
  box-sizing: border-box;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  border: 3px solid;
  border-color: transparent #FD8F14 #FD8F14;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  animation: rotationBack 0.5s linear infinite;
  transform-origin: center center;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
} 
    
@keyframes rotationBack {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(-360deg);
  }
}

/*
 * Price List Error
*/
.dc_priceResults_error {
    padding: 20px;
    text-align: center;
    font-weight: bold;
    color: #222222;
}


/*
 * Post Recommended Number
*/
.dc_post_rec {
    display: none;
    padding: 6px 5px 5px;
    background-color: rgba(0, 176, 255, 0.08);
    border: 1px solid rgba(0, 176, 255, 0.2);
    border-radius: 5px;
    margin: 8px 0 0;
}
.dc_post_rec.dc_visible {
    display: block;
}

.cr_price_item,
.cr_height_text,
.cr_number_text,
.cr_included_text {
    font-family: 'Poppins';
    font-weight: normal;
    font-size: 14px;
    line-height: 1.4em;
    padding: 8px;
    border-radius: 5px;
    margin: 6px 0;
    color: var(--e-global-color-text);
}

.cr_height_text,
.cr_number_text,
.cr_included_text {
    display: none;
}

/*
 * Price Items
*/
.cr_price_item {
    background-color: rgba(253,143,20,0.08);
    border: 1px solid rgba(253,143,20,0.35);
}
.fence_height_field .cr_price_item,
.extra-post-field .cr_price_item {
    display: none;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}
.fence_height_field .cr_price_item.cr_price_visible,
.extra-post-field .cr_price_item.cr_price_visible {
    display: inline-block;
    opacity: 1;
}

.cr_price_number {
    font-weight: bold;
    color: var(--e-global-color-primary);
}

.cr_height_text {
    margin-bottom: 15px;
    background-color: rgba(28,97,231,0.08);
    border: 1px solid rgba(28,97,231,0.35);
}

.cr_number_text {
    background-color: rgba(30, 141, 0, 0.08);
    border: 1px solid rgba(30,141,0,0.35);
}

.cr_included_text {
    font-family: 'Poppins';
    font-weight: normal;
    font-size: 14px;
    line-height: 1.4em;
    padding: 8px 8px 8px 16px;
    margin: 6px 0;
    color: var(--e-global-color-text);
    background-color: var(--e-global-color-c502214);
    border-left: 3px solid var(--e-global-color-accent);
    border-radius: 0;
}

.field-info .jet-form-col__start,
.post-information-field .jet-form-col__start {
    max-width: 100% !important;
    width: 100% !important;
    -ms-flex: 0 0 100% !important;
    flex: 0 0 100% !important;
}
.field-info .jet-form-col__end,
.post-information-field .jet-form-col__end {
    display: none !important;
}

.field-info .jet-form__heading,
.field-info .jet-form__heading-desc  {
    margin: 0;
    background-color: var(--e-global-color-c502214);
    border-left: 3px solid var(--e-global-color-accent);
    font-size: 15px;
    line-height: 1.5em;
}
.field-info .jet-form__heading {
    padding: 10px 10px 0 20px;
    font-weight: bold;
}
.field-info .jet-form__heading-desc {
    padding: 0 10px 10px 20px;
    font-weight: normal;
}

#posts_information {
    display: none !important;
}